# Function useMinilinksQuery

- useMinilinksQuery<L>(ml, query): any

- React hook. Returns reactiviely links from minilinks, by query in deeplinks dialect. Recalculates when query changes. (Take query into useMemo!).

  #### Type Parameters

  - L extends Link<Id>

  #### Parameters

  - ml: any
  - query: Id | QueryLink

  #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:851